#!/tvbin/tivosh
# ************************************************************
# AltEPG Project Source Code Version Control
# $FileID: git::root/hack/bin/flushres.tcl $
# $Revision: altepg1.0c_2-2011-11-30 Brian Mills 2011-11-30 01:26:33 +0000 Bugs in ouija_fix $
# Description: Flush cached database resources
# (From AlphaWolf's Tivo Enhancement Script)
# ************************************************************

set db [dbopen]

puts "Removing CompressedFile (cached) items"

RetryTransaction {
	set swsysa [db $db open "/SwSystem/ACTIVE"]
	set resgrp [dbobj $swsysa get ResourceGroup]
	foreach res $resgrp {
		dbobj $res remove "CompressedFile"
	}
}

puts "Reboot your TiVo to apply the changes"

